Subject: Re: [PATCH] git push --track

From: Miles Bader <[email-masked]>
Date: Thu, 14 Jan 2010 09:25:49 +0900

"Rudolf Polzer" <[email-masked]> writes:
> I'd like a feature to automatically "transform" a non-tracking local
> branch into a tracking branch on push. A patch to do that is attached.

Yay!!

I've wanted this for a long time, but discussions about it always seem
to end up petering out...

> git branch mybranch
> git checkout mybranch
> ...
> git push --track origin mybranch:mybranch

Does it default to the current branch so you can just say "git push --track origin"?

I hope this can be added to the distro...

Thanks,

-Miles

-- 
Opposition, n. In politics the party that prevents the Goverment from running
amok by hamstringing it.